Skip to main content
DELETE
/
v1
/
contacts
/
suppression
Remove suppression for a contact
curl --request DELETE \
  --url https://app.loops.so/api/v1/contacts/suppression \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://app.loops.so/api/v1/contacts/suppression"

headers = {"Authorization": "Bearer <token>"}

response = requests.delete(url, headers=headers)

print(response.text)
const options = {method: 'DELETE', headers: {Authorization: 'Bearer <token>'}};

fetch('https://app.loops.so/api/v1/contacts/suppression', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "success": true,
  "message": "Email removed from suppression list.",
  "removalQuota": {
    "limit": 100,
    "remaining": 4
  }
}
{
  "success": false,
  "message": "This contact is not suppressed."
}
{
  "success": false,
  "message": "This contact was not found."
}

Request

Query parameters

Remove suppression by email or user ID. Only one parameter is allowed.
email
string
The contact’s email address. Make sure it is URI-encoded.
userId
string
The contact’s unique user ID.

Response

Success

success
boolean
required
message
string
required
A message confirming suppression was removed.
removalQuota
object
required

Error

A 400 Bad Request will be returned if there is an invalid request, the contact is not suppressed, or if you reach your removal quota. If no contact is found, a 404 Not Found will be returned.
success
boolean
required
message
string
required
An error message describing the problem with the request.
{
  "success": true,
  "message": "Email removed from suppression list.",
  "removalQuota": {
    "limit": 100,
    "remaining": 4
  }
}
{
  "success": false,
  "message": "This contact is not suppressed."
}
{
  "success": false,
  "message": "This contact was not found."
}
Last modified on March 25, 2026